/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-26-2009 12:29:55am
Filepath: scripts\_custom\items\misc\VoteStone.cs
Lines of code: 47
***********************************************************/


using System;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{
	public class VoteStone : Item
	{
		string m_url;
		
		[CommandProperty( AccessLevel.GameMaster )] 
		public string url
		{
			get { return m_url; }
			set 
			{ 
				m_url = value;Modify();				
			}
		}
		
		public override bool DisplayWeight { get { return ( false ); } }

		[Constructable]
		public VoteStone() : base( 0xED4 )
		{
			Hue=43;
			m_url="http://www.uovalor.com/forum/viewtopic.php?t=163&start=0";
			Movable = false;
			Name = "Vote for AoV";
		}	
		

		public override void OnDoubleClick( Mobile from )
		{
			from.Send(new LaunchBrowser(m_url));	
		}

		public VoteStone( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version

			writer.Write((string)m_url);			
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();

			m_url = reader.ReadString();			
		}
	}
}